<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LTvsCertificateService StructType
 * @subpackage Structs
 */
class LTvsCertificateService extends AbstractStructBase
{
    /**
     * The serviceName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $serviceName;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for LTvsCertificateService
     * @uses LTvsCertificateService::setServiceName()
     * @uses LTvsCertificateService::setUuid()
     * @param string $serviceName
     * @param string $uuid
     */
    public function __construct($serviceName = null, $uuid = null)
    {
        $this
            ->setServiceName($serviceName)
            ->setUuid($uuid);
    }
    /**
     * Get serviceName value
     * @return string|null
     */
    public function getServiceName()
    {
        return $this->serviceName;
    }
    /**
     * Set serviceName value
     * @param string $serviceName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LTvsCertificateService
     */
    public function setServiceName($serviceName = null)
    {
        $this->serviceName = $serviceName;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LTvsCertificateService
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
